---
keywords: homepage
title: Home
tags: [getting_started]
sidebar: home_sidebar
permalink: index.html
toc: false
summary: Welcome to the Web Frameworks  documentation theme. Here you can find all the details to provision, operate, maintain and support web hosting services provided by the Web Services team. On the top level documentation you will find procedures which apply to all services. Refer to a service for specific documentation.
---

<div class="home">

    <div class="post-list">
        {% for post in site.posts limit:5 %}
            {% assign notesum = post.summary %}
            {% assign notetype = post.type | append: '.html' %}
            {% include {{notetype}} content=notesum %}
        {% endfor %}
</div>

<div class="row" style="margin-top: 15px;">
        <div class="col-lg-12">
            <h2 class="page-header">Services</h2>
        </div>
        <div class="col-md-3 col-sm-6">
            <div class="panel panel-default text-center">
                <div class="panel-heading">
                    <span class="fa-stack fa-5x">
                          <i class="fa fa-circle fa-stack-2x text-primary"></i>
                          <i class="fa fa-tree fa-stack-1x fa-inverse"></i>
                    </span>
                </div>
                <div class="panel-body">
                    <h4>Service One</h4>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                    <a href="#" class="btn btn-primary">Learn More</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 col-sm-6">
            <div class="panel panel-default text-center">
                <div class="panel-heading">
                    <span class="fa-stack fa-5x">
                          <i class="fa fa-circle fa-stack-2x text-primary"></i>
                          <i class="fa fa-car fa-stack-1x fa-inverse"></i>
                    </span>
                </div>
                <div class="panel-body">
                    <h4>Service Two</h4>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                    <a href="#" class="btn btn-primary">Learn More</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 col-sm-6">
            <div class="panel panel-default text-center">
                <div class="panel-heading">
                    <span class="fa-stack fa-5x">
                          <i class="fa fa-circle fa-stack-2x text-primary"></i>
                          <i class="fa fa-support fa-stack-1x fa-inverse"></i>
                    </span>
                </div>
                <div class="panel-body">
                    <h4>Service Three</h4>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                    <a href="#" class="btn btn-primary">Learn More</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 col-sm-6">
            <div class="panel panel-default text-center">
                <div class="panel-heading">
                    <span class="fa-stack fa-5x">
                          <i class="fa fa-circle fa-stack-2x text-primary"></i>
                          <i class="fa fa-database fa-stack-1x fa-inverse"></i>
                    </span>
                </div>
                <div class="panel-body">
                    <h4>Service Four</h4>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                    <a href="#" class="btn btn-primary">Learn More</a>
                </div>
            </div>
        </div>
    </div>
    </br>
<!-- SSB view -->
    <div class="row">
    <div class="col-lg-12">
        <h2 class="page-header">IT Service Status Board</h2>
    </div>
    <div class="col-md">
        <div class="media">
            <div class="pull-left">
                <span class="fa-stack fa-2x">
                          <i class="fa fa-circle fa-stack-2x text-primary"></i>
                          <i class="fa fa-exclamation-triangle fa-stack-1x fa-inverse"></i>
                    </span>
            </div>
            <div class="media-body">
                <h4 class="media-heading">Incidents</h4>
                <p id="ssbincidents"></p>
            </div>
        </div>
        <div class="media">
            <div class="pull-left">
                <span class="fa-stack fa-2x">
                          <i class="fa fa-circle fa-stack-2x text-primary"></i>
                          <i class="fa fa-server fa-stack-1x fa-inverse"></i>
                    </span>
            </div>
            <div class="media-body">
                <h4 class="media-heading">Planned Interventions</h4>
                <p id="ssbinterventions"></p>
            </div>
        </div>
        <div class="media">
            <div class="pull-left">
                <span class="fa-stack fa-2x">
                          <i class="fa fa-circle fa-stack-2x text-primary"></i>
                          <i class="fa fa-thumbs-o-up fa-stack-1x fa-inverse"></i>
                    </span>
            </div>
            <div class="media-body">
                <h4 class="media-heading">Service Changes</h4>
                <p id="ssbchanges"></p>
            </div>
        </div>
    </div>
</div>

<script src="https://yui-s.yahooapis.com/3.18.1/build/yui/yui-min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>

<script>
    var urls = {};
    urls["ssbincidents"] = "https://cern.service-now.com/cmdb_ci_outage_list.do?sysparm_query=u_publication_ssb=true%5Etype=incident%5EendISEMPTY%5EORend%3Ejavascript:workingDaysAgoStart(1)%5EEQ%5EORDERBYDESCbegin&JSONv2";
    urls["ssbinterventions"] = "https://cern.service-now.com/cmdb_ci_outage_list.do?sysparm_query=%5Eu_publication_ssb=true%5Etype=planned%5Ebegin%3Ejavascript:workingDaysAgoStart(2)%5Ebegin%3Cjavascript:workingDaysAheadEnd(1)%5Eend%3E=javascript:gs.daysAgoStart(0)%5EEQ%5EORDERBYend&JSONv2";
    urls["ssbchanges"] = "https://cern.service-now.com/cmdb_ci_outage_list.do?sysparm_query=%5Eu_publication_ssb=true%5Etype=change%5Ebegin%3E=javascript:gs.daysAgoStart(0)%5EORu_service_change_expiry_date%3Ejavascript:gs.daysAgoEnd(0)%5EEQ%5EORDERBYDESCbegin&JSONv2";

    for(var key in urls)
    {
        parseRSS(urls[key], key);
    }

    function parseRSS(url, container) {
        YUI().use('yql', function (Y) {
            var query = "select * from json(0,10) where url = '" + url + "'"
            var q = Y.YQL(query, function (r) {
                //r now contains the result of the YQL Query as a JSON
                var feedmarkup = '';
                if(r.query.results)
                {
                    var feed = r.query.results.json.records // get feed as array of entries
                    for (var i = 0; i < feed.length; i++) {
                        var icon;
                        switch (feed[i].u_impact) {
                            case 'degraded':
                                icon = '<i class="fa fa-exclamation-triangle fa-ssb"></i>';
                                break;
                            case 'down':
                                icon = '<i class="fa fa-ambulance fa-ssb"></i>';
                                break;
                            case 'noimpact':
                                icon = '<i class="fa fa-check fa-ssb"></i>';
                                break;
                            default:
                                icon = '<i class="fa fa-exclamation fa-ssb"></i>';
                        }   
                        feedmarkup += '<p>' + icon + ' ' + moment(feed[i].begin).fromNow() + ' '
                        feedmarkup += '<a href="' + feed[i].u_portal_ssb_link + ' "target="_blank">'
                        feedmarkup += feed[i].short_description + '</a></p>'
                    }
                }
                else
                {
                    parseRSS(url, container);
                }
                document.getElementById(container).innerHTML = feedmarkup
            }, null, {proto:'https'})
        })
    }

</script>

    <!-- Service Tabs -->
    <div class="row">
        <div class="col-lg-12">
            <h2 class="page-header">Relevant info</h2>
        </div>
        <div class="col-lg-12">

            <ul id="myTab" class="nav nav-tabs nav-justified">
                <li class="active"><a href="#service-one" data-toggle="tab"><i class="fa fa-users"></i> Service #1</a>
                </li>
                <li class=""><a href="#service-two" data-toggle="tab"><i class="fa fa-comments"></i> Service #2</a>
                </li>
                <li class=""><a href="#service-three" data-toggle="tab"><i class="fa fa-support"></i> Service #3</a>
                </li>
                <li class=""><a href="#service-four" data-toggle="tab"><i class="fa fa-database"></i> Service #4</a>
                </li> 
            </ul>

            <div id="myTabContent" class="tab-content">
                <div class="tab-pane fade active in" id="service-one">
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas viverra enim sapien, ut semper sapien ullamcorper quis. Integer sed interdum sapien. Sed consequat nec diam et porta. Fusce sit amet odio eleifend, sodales ex et, egestas velit. Nulla tincidunt elementum augue, id hendrerit elit aliquam quis. Quisque imperdiet volutpat nisl nec viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque in maximus mi. Sed venenatis, velit nec placerat hendrerit, purus ligula hendrerit ex, sed consequat quam nisi condimentum urna. Praesent dictum nisl a tortor porta feugiat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas dapibus interdum dolor quis placerat. Donec rhoncus euismod pretium. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed fermentum quis dolor ut finibus. Ut efficitur ipsum ut euismod varius.
                    </p>
                </div>
                <div class="tab-pane fade" id="service-two">
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas viverra enim sapien, ut semper sapien ullamcorper quis. Integer sed interdum sapien. Sed consequat nec diam et porta. Fusce sit amet odio eleifend, sodales ex et, egestas velit. Nulla tincidunt elementum augue, id hendrerit elit aliquam quis. Quisque imperdiet volutpat nisl nec viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque in maximus mi. Sed venenatis, velit nec placerat hendrerit, purus ligula hendrerit ex, sed consequat quam nisi condimentum urna. Praesent dictum nisl a tortor porta feugiat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas dapibus interdum dolor quis placerat. Donec rhoncus euismod pretium. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed fermentum quis dolor ut finibus. Ut efficitur ipsum ut euismod varius.
                    </p>
                </div>
                <div class="tab-pane fade" id="service-three">
                    <h4>Service Three</h4>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae repudiandae fugiat illo cupiditate excepturi esse officiis consectetur, laudantium qui voluptatem. Ad necessitatibus velit, accusantium expedita debitis impedit rerum totam id. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus quibusdam recusandae illum, nesciunt, architecto, saepe facere, voluptas eum incidunt dolores magni itaque autem neque velit in. At quia quaerat asperiores.</p>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae repudiandae fugiat illo cupiditate excepturi esse officiis consectetur, laudantium qui voluptatem. Ad necessitatibus velit, accusantium expedita debitis impedit rerum totam id. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus quibusdam recusandae illum, nesciunt, architecto, saepe facere, voluptas eum incidunt dolores magni itaque autem neque velit in. At quia quaerat asperiores.</p>
                </div>
                <div class="tab-pane fade" id="service-four">
                    <h4>Service Four</h4>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae repudiandae fugiat illo cupiditate excepturi esse officiis consectetur, laudantium qui voluptatem. Ad necessitatibus velit, accusantium expedita debitis impedit rerum totam id. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus quibusdam recusandae illum, nesciunt, architecto, saepe facere, voluptas eum incidunt dolores magni itaque autem neque velit in. At quia quaerat asperiores.</p>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae repudiandae fugiat illo cupiditate excepturi esse officiis consectetur, laudantium qui voluptatem. Ad necessitatibus velit, accusantium expedita debitis impedit rerum totam id. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus quibusdam recusandae illum, nesciunt, architecto, saepe facere, voluptas eum incidunt dolores magni itaque autem neque velit in. At quia quaerat asperiores.</p>
                </div>
            </div>

        </div>
    </div>



